# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.calendar
Class AccessLevelProperty

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.calendar.AccessLevelProperty

All Implemented Interfaces:
  Extension

    public class AccessLevelProperty

extends ValueConstruct

GData schema extension describing how much a given user may do with a given event or calendar.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static AccessLevelProperty` `EDITOR` On a calendar, allows full owner access except an editor may not change access control settings on the calendar.
`static AccessLevelProperty` `FREEBUSY` The event shows up as busy time only.
`static AccessLevelProperty` `NONE` The event is not visible.
`static AccessLevelProperty` `OVERRIDE` Only applies to events.
`static AccessLevelProperty` `OWNER` The user is the event organizer or the owner of the calendar.
`static AccessLevelProperty` `READ` The event details are readable.
`static AccessLevelProperty` `RESPOND` Only applies to events.
`static AccessLevelProperty` `ROOT` The calendar server itself.

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`AccessLevelProperty()`
`AccessLevelProperty(java.lang.String value)`

Method Summary
`static ExtensionDescription` `getDefaultDescription()`

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired, setValue`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final AccessLevelProperty NONE

  The event is not visible.

### READ

    public static final AccessLevelProperty READ

  The event details are readable.

### FREEBUSY

    public static final AccessLevelProperty FREEBUSY

  The event shows up as busy time only.

### RESPOND

    public static final AccessLevelProperty RESPOND

  Only applies to events. The participant can read and reply to the event invitation.

### OVERRIDE

    public static final AccessLevelProperty OVERRIDE

  Only applies to events. OVERRIDE access indicates that an event may be modified by way of a set of local overrides that will not be propagated back to the organizer.

### EDITOR

    public static final AccessLevelProperty EDITOR

  On a calendar, allows full owner access except an editor may not change access control settings on the calendar. On an event, the user may edit the event.

### OWNER

    public static final AccessLevelProperty OWNER

  The user is the event organizer or the owner of the calendar.

### ROOT

    public static final AccessLevelProperty ROOT

  The calendar server itself. Cannot be used by any user.

Constructor Detail

### AccessLevelProperty

    public AccessLevelProperty()

### AccessLevelProperty

    public AccessLevelProperty(java.lang.String value)

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()